<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd">

<f:if condition="{pages}">
    <ul class="c-menu-drilldown__sub o-icon-list o-icon-list--l2">
        <li class="c-menu-drilldown__back o-icon-list__item">
            <a class="c-menu-drilldown__link o-icon-list__link">
                <f:if condition="{icon} == '0'">
                    <f:then>
                        <span class="o-icon-list__icon"></span>
                    </f:then>
                    <f:else>
                        <span class="o-icon-list__icon icon--{icon}"></span>
                    </f:else>

                </f:if>
            <span class="c-menu-drilldown__back-label o-icon-list__label">
                <f:translate
                    key="LLL:EXT:frs_drk_linklist/Resources/Private/Language/locallang.xlf:back"/>
            </span>
            </a>
        </li>
        <f:for each="{pages}" as="page">
            <li class="c-menu-drilldown__item--sub {f:if(condition: '{page.children}', then: 'o-icon-list__item has-children', else: 'o-icon-list__item')} {f:if(condition: '{currentLevel}', then: 'c-menu-drilldown__item--l{currentLevel}', else: 'c-menu-drilldown__item--l1')}">
                <f:link.page pageUid="{page.data.uid}"
                             target="{f:if(condition: '{page.data.doktype} == 3', then: '_blank', else: '')}"
                             class="c-menu-drilldown__link o-icon-list__link"
                             title="{page.data.title}">
                    <span class="o-icon-list__label">
                        <f:if condition="{page.data.navTitle}">
                            <f:then>
                                {page.data.navTitle}
                            </f:then>
                            <f:else>
                                {page.data.title}
                            </f:else>
                        </f:if>
                    </span>
                </f:link.page>

                <f:if condition="{page.children}">
                    <f:render partial="Linklist/Children" arguments="{pages: page.children, level:currentLevel, icon: icon}"/>
                </f:if>
            </li>
        </f:for>
    </ul>
</f:if>
</html>
